# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "liora"
version = "0.1.11"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "One-stop Liora SDK facade for native Rust GPUI apps: core, themes, components, icons, tray, packaging, and updater helpers."
readme = false
license-file = "LICENSE.md"
repository = "https://github.com/yhyzgn/liora"
resolver = "2"

[features]
default = [
    "packager",
    "updater",
]
packager = ["dep:liora-packager"]
updater = ["dep:liora-updater"]

[lib]
name = "liora"
path = "src/lib.rs"

[dependencies.liora-components]
version = "0.1.11"

[dependencies.liora-core]
version = "0.1.11"

[dependencies.liora-icons]
version = "0.1.11"

[dependencies.liora-icons-lucide]
version = "0.1.11"

[dependencies.liora-packager]
version = "0.1.11"
optional = true

[dependencies.liora-theme]
version = "0.1.11"

[dependencies.liora-tray]
version = "0.1.11"

[dependencies.liora-updater]
version = "0.1.11"
optional = true
